com.corticon.eclipse.core

## Interface Constants

-     public interface Constants

  Constants provides a central place for expressing Corticon constants, similar to CcConstants in Version 4.X systems.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BOOLEAN_VALUE_CHECKED`
    `static java.lang.String` | `CDO_DEFAULT_PACKAGE_PREFIX`
    `static java.lang.String` | `CDO_EDC_PROPERTY_DATA_TYPE`
    `static java.lang.String` | `CDO_EDC_PROPERTY_JDBC_TYPE`
    `static java.lang.String` | `CDO_EDC_PROPERTY_TIME_ZONE`
    `static java.lang.String` | `CDO_EDC_PROPERTY_TIME_ZONE_DEFAULT`
    `static java.lang.String` | `CDO_EDC_PROPERTY_TIME_ZONE_UTC`
    `static java.lang.String` | `CDO_POSTFIX_ASSOC`
    `static java.lang.String` | `CDO_POSTFIX_ATTR`
    `static java.lang.String` | `CDO_POSTFIX_CLASS`
    `static int` | `CELL_EDITOR_CHECKBOX`
    `static int` | `CELL_EDITOR_COMBO`
    `static int` | `CELL_EDITOR_MULTILINE_TEXT`
    `static int` | `CELL_EDITOR_MULTISELECT_COMBO`
    `static int` | `CELL_EDITOR_NONE`
    `static int` | `CELL_EDITOR_TEXT`
    `static int` | `COLUMN_HORIZONTAL_ALIGNMENT_CENTER`
    `static int` | `COLUMN_HORIZONTAL_ALIGNMENT_LEFT`
    `static int` | `COLUMN_HORIZONTAL_ALIGNMENT_RIGHT`
    `static java.lang.String` | `CORTICON_HOME`
    `static java.lang.String` | `CORTICON_PACKAGE_PREFIX`
    `static java.lang.String` | `DATABASE_DEFINITION_FILE`
    `static java.lang.String` | `DATABASE_DEFINITION_XSD`
    `static java.lang.String` | `FILE_EXTENSION_CLASS`
    `static java.lang.String` | `FILE_EXTENSION_JAR`
    `static java.lang.String` | `FILE_EXTENSION_JSON`
    `static java.lang.String` | `FILE_EXTENSION_PROPERTIES`
    `static java.lang.String` | `FILE_EXTENSION_RULEFLOW`
    `static java.lang.String` | `FILE_EXTENSION_RULESHEET`
    `static java.lang.String` | `FILE_EXTENSION_RULETEST`
    `static java.lang.String` | `FILE_EXTENSION_VOCABULARY`
    `static java.lang.String` | `FILE_EXTENSION_XML`
    `static java.lang.String` | `JPA_PERSISTENCE_FILENAME`
    `static java.lang.String` | `KEYWORD_NOT`
    `static java.lang.String` | `KEYWORD_NULL`
    `static java.lang.String` | `KEYWORD_OTHER`
    `static java.util.Locale` | `LOCALE_BASE`
    `static java.lang.String` | `SET_ALL_VALUE`
    `static java.lang.String` | `SET_SEPARATOR`
    `static java.lang.String` | `STRING_LITERAL_DELIMITER`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_CATALOGS_SUPPORTED`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_DIALECT`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_DRIVER_CLASS`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_GET_GENERATED_KEYS_SUPPORTED`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_ID`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY_DEFAULT`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY_STRATEGY`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY_TYPE`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_IDENTITY_TYPE`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_IGNORE_TRANSACTIONS`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_MANDATORY_VALUE_STRATEGY`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_NAME`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_READ_ONLY_MODE_SUPPORTED`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_SCHEMA_CREATION_SUPPORTED`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_URL_TEMPLATE`
    `static java.lang.String` | `TAG_DATABASE_DEFINITION_VALIDATION_QUERY`
    `static java.lang.String` | `TAG_DATABASE_DEFINITIONS`
    `static java.lang.String` | `TAG_DATATYPE_MAPPING`
    `static java.lang.String` | `TAG_DATATYPE_MAPPING_CORTICON_DATA_TYPE`
    `static java.lang.String` | `TAG_DATATYPE_MAPPING_JDBC_TYPES`
    `static java.lang.String` | `TAG_DATATYPE_MAPPING_SQL_TYPES`
    `static java.lang.String` | `UI_TYPE_BOOLEAN`
    `static java.lang.String` | `UI_TYPE_DATE`
    `static java.lang.String` | `UI_TYPE_DATETIME`
    `static java.lang.String` | `UI_TYPE_DECIMAL`
    `static java.lang.String` | `UI_TYPE_INTEGER`
    `static java.lang.String` | `UI_TYPE_STRING`
    `static java.lang.String` | `UI_TYPE_TIME`

- - ### Field Detail

    - #### CORTICON_HOME

          static final java.lang.String CORTICON_HOME

      See Also:
        Constant Field Values

    - #### KEYWORD_OTHER

          static final java.lang.String KEYWORD_OTHER

      See Also:
        Constant Field Values

    - #### KEYWORD_NOT

          static final java.lang.String KEYWORD_NOT

      See Also:
        Constant Field Values

    - #### KEYWORD_NULL

          static final java.lang.String KEYWORD_NULL

      See Also:
        Constant Field Values

    - #### CORTICON_PACKAGE_PREFIX

          static final java.lang.String CORTICON_PACKAGE_PREFIX

      See Also:
        Constant Field Values

    - #### FILE_EXTENSION_VOCABULARY

          static final java.lang.String FILE_EXTENSION_VOCABULARY

      See Also:
        Constant Field Values

    - #### FILE_EXTENSION_RULEFLOW

          static final java.lang.String FILE_EXTENSION_RULEFLOW

      See Also:
        Constant Field Values

    - #### FILE_EXTENSION_RULESHEET

          static final java.lang.String FILE_EXTENSION_RULESHEET

      See Also:
        Constant Field Values

    - #### FILE_EXTENSION_RULETEST

          static final java.lang.String FILE_EXTENSION_RULETEST

      See Also:
        Constant Field Values

    - #### FILE_EXTENSION_CLASS

          static final java.lang.String FILE_EXTENSION_CLASS

      See Also:
        Constant Field Values

    - #### FILE_EXTENSION_JAR

          static final java.lang.String FILE_EXTENSION_JAR

      See Also:
        Constant Field Values

    - #### FILE_EXTENSION_XML

          static final java.lang.String FILE_EXTENSION_XML

      See Also:
        Constant Field Values

    - #### FILE_EXTENSION_PROPERTIES

          static final java.lang.String FILE_EXTENSION_PROPERTIES

      See Also:
        Constant Field Values

    - #### FILE_EXTENSION_JSON

          static final java.lang.String FILE_EXTENSION_JSON

      See Also:
        Constant Field Values

    - #### SET_ALL_VALUE

          static final java.lang.String SET_ALL_VALUE

      See Also:
        Constant Field Values

    - #### SET_SEPARATOR

          static final java.lang.String SET_SEPARATOR

      See Also:
        Constant Field Values

    - #### STRING_LITERAL_DELIMITER

          static final java.lang.String STRING_LITERAL_DELIMITER

      See Also:
        Constant Field Values

    - #### UI_TYPE_STRING

          static final java.lang.String UI_TYPE_STRING

      See Also:
        Constant Field Values

    - #### UI_TYPE_DATETIME

          static final java.lang.String UI_TYPE_DATETIME

      See Also:
        Constant Field Values

    - #### UI_TYPE_DATE

          static final java.lang.String UI_TYPE_DATE

      See Also:
        Constant Field Values

    - #### UI_TYPE_TIME

          static final java.lang.String UI_TYPE_TIME

      See Also:
        Constant Field Values

    - #### UI_TYPE_INTEGER

          static final java.lang.String UI_TYPE_INTEGER

      See Also:
        Constant Field Values

    - #### UI_TYPE_DECIMAL

          static final java.lang.String UI_TYPE_DECIMAL

      See Also:
        Constant Field Values

    - #### UI_TYPE_BOOLEAN

          static final java.lang.String UI_TYPE_BOOLEAN

      See Also:
        Constant Field Values

    - #### BOOLEAN_VALUE_CHECKED

          static final java.lang.String BOOLEAN_VALUE_CHECKED

      See Also:
        Constant Field Values

    - #### LOCALE_BASE

          static final java.util.Locale LOCALE_BASE

    - #### JPA_PERSISTENCE_FILENAME

          static final java.lang.String JPA_PERSISTENCE_FILENAME

      See Also:
        Constant Field Values

    - #### CDO_DEFAULT_PACKAGE_PREFIX

          static final java.lang.String CDO_DEFAULT_PACKAGE_PREFIX

      See Also:
        Constant Field Values

    - #### CDO_POSTFIX_CLASS

          static final java.lang.String CDO_POSTFIX_CLASS

      See Also:
        Constant Field Values

    - #### CDO_POSTFIX_ATTR

          static final java.lang.String CDO_POSTFIX_ATTR

      See Also:
        Constant Field Values

    - #### CDO_POSTFIX_ASSOC

          static final java.lang.String CDO_POSTFIX_ASSOC

      See Also:
        Constant Field Values

    - #### COLUMN_HORIZONTAL_ALIGNMENT_LEFT

          static final int COLUMN_HORIZONTAL_ALIGNMENT_LEFT

      See Also:
        Constant Field Values

    - #### COLUMN_HORIZONTAL_ALIGNMENT_CENTER

          static final int COLUMN_HORIZONTAL_ALIGNMENT_CENTER

      See Also:
        Constant Field Values

    - #### COLUMN_HORIZONTAL_ALIGNMENT_RIGHT

          static final int COLUMN_HORIZONTAL_ALIGNMENT_RIGHT

      See Also:
        Constant Field Values

    - #### CELL_EDITOR_NONE

          static final int CELL_EDITOR_NONE

      See Also:
        Constant Field Values

    - #### CELL_EDITOR_TEXT

          static final int CELL_EDITOR_TEXT

      See Also:
        Constant Field Values

    - #### CELL_EDITOR_COMBO

          static final int CELL_EDITOR_COMBO

      See Also:
        Constant Field Values

    - #### CELL_EDITOR_MULTISELECT_COMBO

          static final int CELL_EDITOR_MULTISELECT_COMBO

      See Also:
        Constant Field Values

    - #### CELL_EDITOR_CHECKBOX

          static final int CELL_EDITOR_CHECKBOX

      See Also:
        Constant Field Values

    - #### CELL_EDITOR_MULTILINE_TEXT

          static final int CELL_EDITOR_MULTILINE_TEXT

      See Also:
        Constant Field Values

    - #### DATABASE_DEFINITION_XSD

          static final java.lang.String DATABASE_DEFINITION_XSD

      See Also:
        Constant Field Values

    - #### DATABASE_DEFINITION_FILE

          static final java.lang.String DATABASE_DEFINITION_FILE

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITIONS

          static final java.lang.String TAG_DATABASE_DEFINITIONS

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION

          static final java.lang.String TAG_DATABASE_DEFINITION

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_ID

          static final java.lang.String TAG_DATABASE_DEFINITION_ID

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_NAME

          static final java.lang.String TAG_DATABASE_DEFINITION_NAME

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_DRIVER_CLASS

          static final java.lang.String TAG_DATABASE_DEFINITION_DRIVER_CLASS

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_URL_TEMPLATE

          static final java.lang.String TAG_DATABASE_DEFINITION_URL_TEMPLATE

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_DIALECT

          static final java.lang.String TAG_DATABASE_DEFINITION_DIALECT

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_VALIDATION_QUERY

          static final java.lang.String TAG_DATABASE_DEFINITION_VALIDATION_QUERY

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_IDENTITY_TYPE

          static final java.lang.String TAG_DATABASE_DEFINITION_IDENTITY_TYPE

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY

          static final java.lang.String TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY_TYPE

          static final java.lang.String TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY_TYPE

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY_STRATEGY

          static final java.lang.String TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY_STRATEGY

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY_DEFAULT

          static final java.lang.String TAG_DATABASE_DEFINITION_IDENTITY_STRATEGY_DEFAULT

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_SCHEMA_CREATION_SUPPORTED

          static final java.lang.String TAG_DATABASE_DEFINITION_SCHEMA_CREATION_SUPPORTED

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_IGNORE_TRANSACTIONS

          static final java.lang.String TAG_DATABASE_DEFINITION_IGNORE_TRANSACTIONS

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_READ_ONLY_MODE_SUPPORTED

          static final java.lang.String TAG_DATABASE_DEFINITION_READ_ONLY_MODE_SUPPORTED

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_GET_GENERATED_KEYS_SUPPORTED

          static final java.lang.String TAG_DATABASE_DEFINITION_GET_GENERATED_KEYS_SUPPORTED

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_CATALOGS_SUPPORTED

          static final java.lang.String TAG_DATABASE_DEFINITION_CATALOGS_SUPPORTED

      See Also:
        Constant Field Values

    - #### TAG_DATABASE_DEFINITION_MANDATORY_VALUE_STRATEGY

          static final java.lang.String TAG_DATABASE_DEFINITION_MANDATORY_VALUE_STRATEGY

      See Also:
        Constant Field Values

    - #### TAG_DATATYPE_MAPPING

          static final java.lang.String TAG_DATATYPE_MAPPING

      See Also:
        Constant Field Values

    - #### TAG_DATATYPE_MAPPING_CORTICON_DATA_TYPE

          static final java.lang.String TAG_DATATYPE_MAPPING_CORTICON_DATA_TYPE

      See Also:
        Constant Field Values

    - #### TAG_DATATYPE_MAPPING_JDBC_TYPES

          static final java.lang.String TAG_DATATYPE_MAPPING_JDBC_TYPES

      See Also:
        Constant Field Values

    - #### TAG_DATATYPE_MAPPING_SQL_TYPES

          static final java.lang.String TAG_DATATYPE_MAPPING_SQL_TYPES

      See Also:
        Constant Field Values

    - #### CDO_EDC_PROPERTY_DATA_TYPE

          static final java.lang.String CDO_EDC_PROPERTY_DATA_TYPE

      See Also:
        Constant Field Values

    - #### CDO_EDC_PROPERTY_JDBC_TYPE

          static final java.lang.String CDO_EDC_PROPERTY_JDBC_TYPE

      See Also:
        Constant Field Values

    - #### CDO_EDC_PROPERTY_TIME_ZONE

          static final java.lang.String CDO_EDC_PROPERTY_TIME_ZONE

      See Also:
        Constant Field Values

    - #### CDO_EDC_PROPERTY_TIME_ZONE_UTC

          static final java.lang.String CDO_EDC_PROPERTY_TIME_ZONE_UTC

      See Also:
        Constant Field Values

    - #### CDO_EDC_PROPERTY_TIME_ZONE_DEFAULT

          static final java.lang.String CDO_EDC_PROPERTY_TIME_ZONE_DEFAULT

      See Also:
        Constant Field Values

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.